﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using Portal.Models.Supplier;
@using Portal.Models.Part;
@using Portal.Models.Globals;
@model Toyota.Common.Web.MVC.ModelHolder
           
<div style="height: 15px; width:100%;">
</div>
<table border="0">
    <tr>
        <td style="width:250px;"></td>
        <td style="width:20px"></td>
        <td align="center" style="width:100px;">Curr</td>
        <td style="width:20px"></td>
        <td align="center" style="width:150px;">TMMIN Amount</td>
        <td style="width:10px"></td>
        <td align="center" style="width:150px;">Supplier Amount</td>
        <td style="width:10px"></td>
        <td align="center" style="width:150px;">Different</td>
    </tr>
    <tr>
        
        <td align="center" style="width:250px; background-color:Silver"><b>Total Amount Before Tax</b></td>
            <td style="width:20px"></td>
            <td align="center" style="width:100px; border: 1px solid #142B94;background-color:Silver">IDR</td>
            <td style="width:20px"></td>
                            <td align="right" style="width:150px; border: 1px solid #142B94">
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Name = "lblIDRTMMIN";
                                    label.Text = "0";
                                    //label.FieldName = "IDR_SUPP";
                                    label.ClientVisible = true;
                                    label.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                                    label.Properties.DisplayFormatString = "#,##0";
                                    
                                }).GetHtml()
                            </td>
                            <td style="width:10px"></td>
                            <td align="right" style="width:150px; border: 1px solid #142B94">
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Name = "lblIDRSupp";
                                    label.Text = "0";
                                    label.ClientVisible = true;
                                    label.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                                    label.Properties.DisplayFormatString = "#,##0";
                                    
                                }).GetHtml()
                            </td>
                            <td style="width:10px"></td>
                            <td align="right" style="width:150px; border: 1px solid #142B94">
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Name = "lblIDRDiff";
                                    label.Text = "0";
                                    label.ClientVisible = true;
                                    label.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                                    label.Properties.DisplayFormatString = "#,##0";
                                    
                                }).GetHtml()
                            </td>
                        </tr>
       <tr>
                            <td></td>
                            <td style="width:20px"></td>
                            <td align="center" style="width:100px; border: 1px solid #142B94;background-color:Silver">USD</td>
                            <td style="width:20px"></td>
                            <td align="right" style="width:150px; border: 1px solid #142B94">
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Name = "lblUSDTMMIN";
                                    label.Text = "0";
                                    label.ClientVisible = true;
                                    label.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                                    label.Properties.DisplayFormatString = "#,##0";
                                    
                                }).GetHtml()
                            </td>
                            <td style="width:10px"></td>
                            <td align="right" style="width:150px; border: 1px solid #142B94">
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Name = "lblUSDSupp";
                                    label.Text = "0";
                                    label.ClientVisible = true;
                                    label.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                                    label.Properties.DisplayFormatString = "#,##0";
                                    
                                }).GetHtml()
                            </td>
                            <td style="width:10px"></td>
                            <td align="right" style="width:150px; border: 1px solid #142B94">
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Name = "lblUSDDiff";
                                    label.Text = "0";
                                    label.ClientVisible = true;
                                    label.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                                    label.Properties.DisplayFormatString = "#,##0";
                                    
                                }).GetHtml()
                            </td>
                        </tr>
                        <tr>
                           <td></td>
                           <td style="width:20px"></td>
                            <td align="center" style="width:100px; border: 1px solid #142B94; background-color:Silver">JPY</td>
                            <td style="width:20px"></td>
                            <td align="right" style="width:150px; border: 1px solid #142B94">
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Name = "lblJPYTMMIN";
                                    label.Text = "0";
                                    label.ClientVisible = true;
                                    label.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                                    label.Properties.DisplayFormatString = "#,##0";
                                    
                                }).GetHtml()
                            </td>
                            <td style="width:10px"></td>
                            <td align="right" style="width:150px; border: 1px solid #142B94">
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Name = "lblJPYSupp";
                                    label.Text = "0";
                                    label.ClientVisible = true;
                                    label.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                                    label.Properties.DisplayFormatString = "#,##0";
                                    
                                }).GetHtml()
                            </td>
                            <td style="width:10px"></td>
                            <td align="right" style="width:150px; border: 1px solid #142B94">
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Name = "lblJPYDiff";
                                    label.Text = "0";
                                    label.ClientVisible = true;
                                    label.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                                    label.Properties.DisplayFormatString = "#,##0";
                                    
                                }).GetHtml()
                            </td>
                        </tr>
  
</table>
